# Created by pyp2rpm-3.3.6
%global pypi_name process-tests

Name:           python-%{pypi_name}
Version:        2.1.2
Release:        1%{?dist}
Summary:        Tools for testing processes

License:        BSD-2-Clause
URL:            https://github.com/ionelmc/python-process-tests
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Overview Tools for testing processes.* Free software: BSD 2-Clause LicenseUsage
from process_tests import ProcessTestCase from process_tests import TestProcess
class MyTestCase(ProcessTestCase): def test_simple(self): with
TestProcess('mydaemon', 'arg1', 'arg2') as proc: with
self.dump_on_error(proc.read): self.wait_for_strings(proc.read, 10, wait 10
seconds for process to output lines with...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Overview Tools for testing processes.* Free software: BSD 2-Clause LicenseUsage
from process_tests import ProcessTestCase from process_tests import TestProcess
class MyTestCase(ProcessTestCase): def test_simple(self): with
TestProcess('mydaemon', 'arg1', 'arg2') as proc: with
self.dump_on_error(proc.read): self.wait_for_strings(proc.read, 10, wait 10
seconds for process to output lines with...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/process_tests.py
%{python3_sitelib}/process_tests-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 21 2021 mockbuilder - 2.1.2-1
- Initial package.